This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262944 - net-snmp reports incorrect full disk space for large filesystems
net-snmp reports incorrect full disk space for large filesystems
Status: CLOSED DUPLICATE of bug 1257161
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.7
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 13:07 EDT by scott.worthington
Modified: 2015-09-21 09:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 09:02:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contains 4 files described in the Additional-info: section (1.38 KB, application/x-gzip)
2015-09-14 13:07 EDT, scott.worthington
no flags Details

  None (edit)
Description scott.worthington 2015-09-14 13:07:29 EDT
Created attachment 1073346 [details]
Contains 4 files described in the Additional-info: section

Description of problem:
When running an 'snmpwalk -v 2c -c public hrStorageTable' on net-snmp-5.5-50.el6_6.1.x86_64 (RHEL 6.6) the hrStorageSize reported properly on a 12TB partition.
However, running an 'snmpwalk -v 2c -c public hrStorageTable' on net-snmp-5.5-54.el6_7.1.x86_64 (RHEL 6.7) the hrStorageSize reports incorrectly on the full size of a 12TB partition.

Version-Release number of selected component (if applicable):
WORKS:
 net-snmp-5.5-50.el6_6.1.x86_64.rpm
 net-snmp-libs-5.5-50.el6_6.1.x86_64.rpm
BORKEN:
 net-snmp-libs-5.5-54.el6_7.1.x86_64
 net-snmp-5.5-54.el6_7.1.x86_64
 
How reproducible:
Run 'snmpwalk hrStorageTable' against server running 5.5-50.el6_6.1.x86_64
Run 'snmpwalk hrStorageTable' against server running 5.5-54.el6_7.1.x86_64

Steps to Reproduce:
1. Run 'snmpwalk hrStorageTable' against server running 5.5-50.el6_6.1.x86_64
2. Uprade to newest version of net-snmp (from RHEL 6.6 to RHEL 6.7)
3. Run 'snmpwalk hrStorageTable' against server running 5.5-54.el6_7.1.x86_64

Actual results:
See attached logs (problematic index is #40)

Expected results:


Additional info:

LOGS!  (Note the problematic index is #40)

snmpwalk_against_net-snmp_v_5-5-50.txt
 \-- contains a correct snmpwalk against the snmp server.

snmpd.log-5.5-50.el6_6.1.x86_64.txt
 \-- contains the output from net-snmpd running via the command:

snmpd -f -Lo -Dfsys -Lf snmpd.log-5.5-50.el6_6.1.x86_64.txt

=======================

Upgrade net-snmp and net-snmp-libs
service snmpd restart

=======================

snmpwalk_against_net-snmp_v_5-5-54.txt
 \-- contains incorrect output via querying 5.5-53.el6_7

snmpd.log-5.5-53.el6_7.1.x86_64.txt
 \-- contains the output from net-snmpd running via the command:

snmpd -f -Lo -Dfsys -Lf snmpd.log-5.5-53.el6_7.1.x86_64.txt
Comment 1 scott.worthington 2015-09-14 13:15:16 EDT
What is odd is that the logs from the snmpd server look similar between 5.5-50 and 5.5-53.  It is the snmpwalk on the client side (or snmpget) that has an incorrect hrStorageSize !!!
Comment 3 Jan Safranek 2015-09-21 09:02:18 EDT

*** This bug has been marked as a duplicate of bug 1257161 ***

Note You need to log in before you can comment on or make changes to this bug.